%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	GDTextUtil

%define fontdir %{_datadir}/fonts/perl

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:        Text utilities for use with GD
Name:           perl-%{perlname}
Version:        0.86
Release:        2
Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/search?module=GDTextUtil
Source0:        http://www.cpan.org/authors/id/M/MV/MVERB/%{perlname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl = %{perlepoch}:%{perlversion}

BuildArch:      noarch
BuildRequires:  perl = %{perlepoch}:%{perlversion}(GD)
Requires:       fontconfig

%description
This package provides three modules that make it possible to work with
internal GD fonts as well as TrueType fonts, without having to worry
about different interface functions to call. Apart from an abstract
interface to all font types and strings for GD, this library also
provides some utility in aligning and wrapping your string.


%prep
%setup -q -n %{perlname}-%{version}
%{__perl} -pi -e 's/\r\n/\n/' Dustismo.LICENSE

%build
perl Makefile.PL %_prefix
make OPTIMIZE="$CFLAGS"

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
chmod -R u+w %{buildroot}/*
# removing unwanted stuff
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

# Install the TrueType font
install -d %{buildroot}%{fontdir}
install -p -m 644 Dustismo_Sans.ttf %{buildroot}%{fontdir}/
touch %{buildroot}%{fontdir}/fonts.cache-1

%clean
rm -rf $RPM_BUILD_ROOT

%post
fc-cache -f %{fontdir} || :

%files
%defattr(-,root,root,-)
%doc Changes README Dustismo.LICENSE demo/
%_libdir/perl5/site_perl/*/GD/
%{_mandir}/man3/*.3*
%{fontdir}/
%ghost %{fontdir}/fonts.cache-1

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.86-2
- Rebuild against perl 5.10.0
* Sun Nov 26 2006 Christian Metzen <metzench@ccux-linux.de> 0.86-1
- Initial release
